interface ConfigInterface {
    key: string;
    token: string;
    logger: (l: any) => void;
}
interface ApiInterface {
    isReady: boolean;
    setup: (ConfigInterface: any) => void;
    reset: () => void;
    getLists: (b: string) => {};
}
export declare class Api implements ApiInterface {
    private _ready;
    private _apisauce;
    private _config;
    private _logger;
    readonly isReady: boolean;
    readonly logger: (l: any) => void;
    setup(props: ConfigInterface): void;
    reset: () => void;
    setHeader: (key: string, value?: string) => void;
    getLists: (boardId: any) => Promise<import("apisauce").ApiResponse<{}>>;
    createCard: (name: string, desc: string, idList: string) => Promise<import("apisauce").ApiResponse<{}>>;
    createCardAttachment: (cardId: string, filePath: string, fileName: string, fileType: string) => Promise<import("apisauce").ApiResponse<{}>>;
}
export {};
