import * as React from "react";
interface UIProps {
    snapshot: any;
}
interface UIState {
    isUIVisible: boolean;
    isSnapshotRunning: boolean;
    trelloLists: string[];
    imageBase64Uri: string;
    currentUIStep: string;
    listSelectValue: string;
    cardNameValue: string;
    cardDescriptionValue: string;
    isValidatingInputs: boolean;
    isValidatingListSelect: boolean;
}
export declare class UI extends React.Component<UIProps, UIState> {
    private _descriptionInputRef;
    private _eventListener;
    private _snapshot;
    state: {
        isUIVisible: boolean;
        isSnapshotRunning: boolean;
        trelloLists: any[];
        imageBase64Uri: string;
        currentUIStep: string;
        listSelectValue: string;
        cardNameValue: string;
        cardDescriptionValue: string;
        isValidatingInputs: boolean;
        isValidatingListSelect: boolean;
    };
    componentDidMount: () => void;
    componentWillUnmount(): void;
    updateState: (snapshot: any) => void;
    onCancelPress: () => void;
    onContinuePress: () => void;
    onUploadPress: () => Promise<void>;
    render(): JSX.Element;
}
export {};
